MARTe2-core - User story #141

MARTe-NE-F-1.1.14: The framework shall provide a method to convert the High Resolution Timer in
elapsed time from the epoch

03.06.2015 11:08 - Riccardo Vitelli

Status: Closed Start date:
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 20.00 hours
Target version: 0.2 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Implement requirement MARTe-EX-F-1.1.14 based on the original MARTe implementation.

Note: for logging purposes it is important to have a precise measure of absolute time at least in microseconds.

Note: It is expected that the implementation, after calibrating the High Resolution Timer, will store in a static variable the time at
which the application has started (using a portable method, i.e. no clib code in the portable part) minus the current value of the High

Resolution Timer. This number can then later be added to the value of the High Resolution Timer to directly compute the elapsed
time since the epoch.

Source code files modified

Same files of #127 involved.

Architecture & design review
Date of the review: 12/06/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: 01/07/2015
Person who did the review: Ivan Herrero
Result of review: PASS

List of non-conformities: N/A

Unit test review

Date of the review: 23/07/2015
Person who did the review: Ivan Herrero

Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS
List of non-conformities: N/A

Same notes of #127 applies.

Associated revisions

Revision 8f273cc8 - 18.06.2015 10:30 - Giuseppe Ferro

Added HighResolutionTimer implementation.
#127 #141

Revision db3f4d0f - 18.06.2015 14:32 - Giuseppe Ferro

Solved minor issues
#127 #141

Revision f3¢cf8733 - 18.06.2015 16:48 - Giuseppe Ferro

Avoided backward include in HighResolutionTimerCalibratorOS.h for windows.
#127 #141

Revision f7b2aa2c - 22.06.2015 11:19 - Giuseppe Ferro

Fixed HighResolutionTimer files accordingly with revision.
#127 #141

Revision 2857fa72 - 26.06.2015 15:32 - Giuseppe Ferro
Added HighResolutionTimer tests.
#127 #141

History

#1 - 03.06.2015 14:51 - André Neto

- Subject changed from MARTe-EX-F-1.1.14: Convert the High Resolution Timer in time from epoch to MARTe-NE-F-1.1.14: The framework shall
provide a method to convert the High Resolution Timer in elapsed time from the epoch

- Description updated

#2 - 12.06.2015 10:32 - Riccardo Vitelli

- Status changed from New to Arch: Rev

#3 - 12.06.2015 11:15 - Riccardo Vitelli

- Assignee set to André Neto

#4 - 12.06.2015 18:28 - André Neto

- Description updated

#5 - 18.06.2015 12:27 - Giuseppe Ferro
- Status changed from Arch: Rev to Code: Impl

#6 - 18.06.2015 12:27 - Giuseppe Ferro

- Assignee changed from André Neto to Giuseppe Ferro

#7 - 18.06.2015 12:28 - Giuseppe Ferro
- Status changed from Code: Impl to Arch: Rev

#8 - 18.06.2015 12:28 - Giuseppe Ferro
- Status changed from Arch: Rev to Code: Impl

#9 - 18.06.2015 12:41 - lvan Herrero

- Assignee changed from Giuseppe Ferro to Ilvan Herrero
#10 - 18.06.2015 12:42 - Ivan Herrero
- Status changed from Code: Impl to Code: Rev

#11 - 18.06.2015 17:30 - lvan Herrero

- Description updated

#12 - 22.06.2015 11:51 - lvan Herrero

- Description updated

#13 - 22.06.2015 11:54 - Ivan Herrero
- Description updated

#14 - 22.06.2015 12:42 - Ivan Herrero
- Description updated

- Assignee deleted (lvan Herrero)

Code and documentation review made. Code and documentation corrections pending.

#15 - 22.06.2015 12:42 - Ivan Herrero
- Status changed from Code: Rev to Code: Impl

#16 - 22.06.2015 17:31 - Riccardo Vitelli

- Assignee set to Giuseppe Ferro

#17 - 22.06.2015 17:33 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#18 - 22.06.2015 17:34 - Riccardo Vitelli

- Assignee changed from Giuseppe Ferro to André Neto

#19 - 23.06.2015 11:51 - Ilvan Herrero

Code and documentation review made on revision f7b2aa2. Minor documentation correction pending. See #127.

#20 - 23.06.2015 18:06 - André Neto
- Status changed from Code: Rev to Code: Impl

#21 - 23.06.2015 18:06 - André Neto

- Assignee changed from André Neto to Giuseppe Ferro

#22 - 25.06.2015 17:18 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#23 - 25.06.2015 17:19 - Riccardo Vitelli
- Assignee deleted (Giuseppe Ferro)

#24 - 25.06.2015 18:48 - Ilvan Herrero

- Description updated
idem #127 (not fixed yet)

#25 - 25.06.2015 18:48 - Ivan Herrero
- Status changed from Code: Rev to Code: Impl

#26 - 26.06.2015 11:44 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro
#27 - 29.06.2015 09:52 - Riccardo Vitelli

- Status changed from Code: Impl to Code: Rev

#28 - 29.06.2015 09:53 - Riccardo Vitelli
- Assignee deleted (Giuseppe Ferro)

#29 - 01.07.2015 10:56 - Ivan Herrero
- Description updated

- Assignee set to Ivan Herrero

Code and documentation review made on revision 8e15315 [PASS].

#30 - 01.07.2015 13:07 - Riccardo Vitelli

- Status changed from Code: Rev to Unit: Impl

#31 - 01.07.2015 13:07 - Riccardo Vitelli

- Assignee deleted (lvan Herrero)

#32 - 02.07.2015 18:06 - Riccardo Vitelli

- Target version changed from 0.1 to 0.2

#33 - 15.07.2015 14:09 - Llorenc Capella

- Assignee set to Llorenc Capella

#34 - 15.07.2015 14:37 - Llorenc Capella

- Status changed from Unit: Impl to Unit: Rev

#35 - 15.07.2015 14:38 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

#36 - 23.07.2015 11:38 - Ivan Herrero

- Assignee set to Ivan Herrero

#37 - 23.07.2015 11:45 - Ivan Herrero
- Assignee deleted (Ilvan Herrero)

- Description updated

Unit test review made on revision 5adc9a3.

#38 - 23.07.2015 11:46 - lvan Herrero

- Status changed from Unit: Rev to Closed

18.04.2025

/4


http://www.tcpdf.org

